#!/usr/bin/env sh
# exit on error
set -e
# no undefined variables
set -u
set -x

PROJECT="projectc"
VERSION="0.1"
SERVER="enim-s-web2.enim.site.univ-lorraine.fr"

docker build -t $PROJECT:$VERSION .
docker save $PROJECT:$VERSION -o /tmp/"$PROJECT.$VERSION".docker
rsync -avz /tmp/"$PROJECT.$VERSION".docker $SERVER:/home/fery3
ssh $SERVER "docker container stop web-suivi-concours"
ssh $SERVER "docker container prune -f"
ssh $SERVER "docker load -i $PROJECT.$VERSION.docker"
ssh $SERVER "docker create --name $PROJECT\_$VERSION $PROJECT:$VERSION"
ssh $SERVER "cd /opt/data/docker && docker-compose up -d"

